-- filename   : sample_report1.sql
-- copyright  : (c)2009, 2010 OraPub, Inc.
-- description: This is a simple report showing key stress identifier output.

set tab off
set linesize 250
col stresser_strength 	format 9990.000000
col stress_type 	    format a15
col stresser_source 	format a12
col stresser_stat	    format a55
col load_time 		    format a18
col dt_start 		    format a11
col dt_end		        format a11
col day_start		    format a10
col day_end		        format a7
col hr_start		    format a8
col hr_end		        format a6
col sample_size  	    format 99999990
col run_id		        format a8

prompt Sample Report 1 - Analysis Key Results (all).
prompt
prompt Most users start with this report, but after a number of analysis runs, the output can
prompt become overwelming. This is when it's time run sample_report2.sql or sample_report3.sql.

select	run_id, 
		to_char(load_time,'YYYY-MON-DD HH24:MI') load_time, 
		stress_type,
       	dbid,
       	instance_number inst_num,
       	dt_start,
       	dt_end,
       	day_start,
       	day_end,
       	hr_start,
       	hr_end,
       	stresser_source,
       	stresser_stat,
       	stresser_strength,
       	sample_size
from 	opsi_result
order by stress_type,load_time,stresser_strength desc;


